#
# spec file for package cutereport
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           cutereport
Version:        1.1.1
Release:        1.50
License:        GPL-3.0 and LGPL-3.0
Summary:        Report builder
Url:            http://cute-report.com/
Group:          Productivity/Office/Other
Source:         http://sourceforge.net/projects/qreport/files/Sources/%{name}_%{version}_src.7z
Source2:        http://downloads.sourceforge.net/zint/zint-2.4.3.tar.gz
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
BuildRequires:  gcc
BuildRequires:  glibc
BuildRequires:  libqt4-devel
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  p7zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CuteReport is a free report solution. It has powerful
template designer with Form designer, Page editor,
Dataset editor and other modules. Functionality of
CuteReport designer and CuteReport library can be
easily extended by writing custom plugin. As dataset
can be used any sources such as CSV file, file system,
any kind of databases, version control systems, remote
file storages, etc. It contains a large set of bands
and items, such as line, rect, circle, image, barcode,
charts.

%package devel
Group:         Development/Languages/C and C++
Summary:       Development files for %{name}
Requires:      %{name} = %{version}

%description devel
Development files (headers and libraries) for %{name}

%prep
%setup -q -c %{name}-%{version} -a2
mkdir -p thirdparty/sources/
mv zint-2.4.3 thirdparty/sources/zint/
sed -ri 's|/lib/|/%{_lib}/|' profiles/linux.pri

%build
cat > build.cfg <<EOF
BUILD_TYPE = GPL
DEFINES += SYSTEMINSTALL
SYSTEM_INSTALL_PATH = %{_prefix}
EOF
qmake -o Makefile CuteReport.pro
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
%fdupes -s %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so.%{?so_ver}*
%{_libdir}/cutereport
%{_libdir}/cutereport/designer_plugins/
%{_libdir}/cutereport/propertyeditor_plugins/
%{_libdir}/cutereport/reportcore_plugins/
%{_datadir}/%{name}/

%files devel
%defattr(-,root,root)
%{_includedir}/cutereport/
%{_includedir}/propertyeditor/
%{_libdir}/*.so

%changelog
* Sat Dec 19 2015 mailaender@opensuse.org
- update to version 1.1.1
* Sun Feb  2 2014 mailaender@opensuse.org
- initial packaging
